module.exports = {
    mode: 'MATCH',
    subject: "Le but de ce challenge est de matcher des noms de domaines avec leur protocole (http ou https), suivi d'un / optionnel. Ne vous souciez pas des caractères spéciaux.",
    game: [
        { input: 'http://example.com/', output: true },
        { input: 'https://example.com/', output: true },
        { input: 'http://www.example.com/', output: true },
        { input: 'http://example.org/', output: true },
        { input: 'http://example.co.uk', output: true },
        { input: 'http://bla.bla.biz', output: true },
        { input: 'http://1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa', output: true },
        { input: 'https://boring.museum', output: true },
        { input: 'http://lynx.io/', output: true },
        { input: 'https://example.edu', output: true },
        { input: 'http://example.gov/', output: true },
        { input: 'http://sub.example.cd', output: true },
        { input: 'https://personal.test.me', output: true },
        { input: 'http://0test.com/', output: true },
        { input: 'http://a.b', output: true },
        { input: 'http://this-test.com', output: true },
        { input: 'http://test.this-test.com/', output: true },
        { input: 'http://this-test.test.com', output: true },
        { input: 'http://TESTdomain.com', output: true },
        { input: 'http://abcdefghijklmnopqrstuvwxyz.com', output: true },
        { input: 'example.com', output: false },
        { input: 'www.example.com', output: false },
        { input: 'invalid://example.com', output: false },
        { input: 'httpd://example.com/', output: false },
        { input: 'ahttp://example.com', output: false },
        { input: 'javascript:alert()', output: false },
        { input: 'mailto:nobody@example.com', output: false },
        { input: 'http://test ing.com', output: false },
        { input: 'http://test\'ing.com', output: false },
        { input: 'http://test_ing.com', output: false },
        { input: 'http://inval.id,com', output: false },
        { input: 'http://', output: false },
        { input: 'http://.com', output: false },
        { input: 'http://.....com', output: false },
        { input: 'http://example..com', output: false },
        { input: 'http://example.com.', output: false },
        { input: 'http://-example.com', output: false },
        { input: 'http://example-.com', output: false },
        { input: 'http://example.com-', output: false },
        { input: 'http://1234567890123456789012345678901234567890123456789012345678901234.com', output: false, message: 'too long : each label have to be < 63 caracters' },
        { input: 'http://0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.com', output: false, message: 'too long : FQDN have to be < 253 caracters' }
    ]
};